package com.mdd.admin.vo.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("管理员列表Vo")
public class SystemAuthAdminListedVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("账号")
   private String username;
   @ApiModelProperty("昵称")
   private String nickname;
   @ApiModelProperty("头像")
   private String avatar;
   @ApiModelProperty("部门")
   private String dept;
   @ApiModelProperty("角色")
   private String role;
   @ApiModelProperty("指标数量")
   private Integer goal;
   @ApiModelProperty("派发总数")
   private Integer count;
   @ApiModelProperty("卡片计数")
   private Integer cardNum;
   @ApiModelProperty("唯一卡计数")
   private Integer cardOnly;
   @ApiModelProperty("轮询优先级")
   private Integer loopLevel;
   @ApiModelProperty("多端登录: [0=否, 1=是]")
   private Integer isMultipoint;
   @ApiModelProperty("是否禁用: [0=否, 1=是]")
   private Integer isDisable;
   @ApiModelProperty("最后登录IP")
   private String lastLoginIp;
   @ApiModelProperty("最后登录时间")
   private String lastLoginTime;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;

   public Integer getId() {
      return this.id;
   }

   public String getUsername() {
      return this.username;
   }

   public String getNickname() {
      return this.nickname;
   }

   public String getAvatar() {
      return this.avatar;
   }

   public String getDept() {
      return this.dept;
   }

   public String getRole() {
      return this.role;
   }

   public Integer getGoal() {
      return this.goal;
   }

   public Integer getCount() {
      return this.count;
   }

   public Integer getCardNum() {
      return this.cardNum;
   }

   public Integer getCardOnly() {
      return this.cardOnly;
   }

   public Integer getLoopLevel() {
      return this.loopLevel;
   }

   public Integer getIsMultipoint() {
      return this.isMultipoint;
   }

   public Integer getIsDisable() {
      return this.isDisable;
   }

   public String getLastLoginIp() {
      return this.lastLoginIp;
   }

   public String getLastLoginTime() {
      return this.lastLoginTime;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public void setNickname(String nickname) {
      this.nickname = nickname;
   }

   public void setAvatar(String avatar) {
      this.avatar = avatar;
   }

   public void setDept(String dept) {
      this.dept = dept;
   }

   public void setRole(String role) {
      this.role = role;
   }

   public void setGoal(Integer goal) {
      this.goal = goal;
   }

   public void setCount(Integer count) {
      this.count = count;
   }

   public void setCardNum(Integer cardNum) {
      this.cardNum = cardNum;
   }

   public void setCardOnly(Integer cardOnly) {
      this.cardOnly = cardOnly;
   }

   public void setLoopLevel(Integer loopLevel) {
      this.loopLevel = loopLevel;
   }

   public void setIsMultipoint(Integer isMultipoint) {
      this.isMultipoint = isMultipoint;
   }

   public void setIsDisable(Integer isDisable) {
      this.isDisable = isDisable;
   }

   public void setLastLoginIp(String lastLoginIp) {
      this.lastLoginIp = lastLoginIp;
   }

   public void setLastLoginTime(String lastLoginTime) {
      this.lastLoginTime = lastLoginTime;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemAuthAdminListedVo)) {
         return false;
      } else {
         SystemAuthAdminListedVo other = (SystemAuthAdminListedVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label215: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label215;
                  }
               } else if (this$id.equals(other$id)) {
                  break label215;
               }

               return false;
            }

            Object this$goal = this.getGoal();
            Object other$goal = other.getGoal();
            if (this$goal == null) {
               if (other$goal != null) {
                  return false;
               }
            } else if (!this$goal.equals(other$goal)) {
               return false;
            }

            label201: {
               Object this$count = this.getCount();
               Object other$count = other.getCount();
               if (this$count == null) {
                  if (other$count == null) {
                     break label201;
                  }
               } else if (this$count.equals(other$count)) {
                  break label201;
               }

               return false;
            }

            Object this$cardNum = this.getCardNum();
            Object other$cardNum = other.getCardNum();
            if (this$cardNum == null) {
               if (other$cardNum != null) {
                  return false;
               }
            } else if (!this$cardNum.equals(other$cardNum)) {
               return false;
            }

            label187: {
               Object this$cardOnly = this.getCardOnly();
               Object other$cardOnly = other.getCardOnly();
               if (this$cardOnly == null) {
                  if (other$cardOnly == null) {
                     break label187;
                  }
               } else if (this$cardOnly.equals(other$cardOnly)) {
                  break label187;
               }

               return false;
            }

            Object this$loopLevel = this.getLoopLevel();
            Object other$loopLevel = other.getLoopLevel();
            if (this$loopLevel == null) {
               if (other$loopLevel != null) {
                  return false;
               }
            } else if (!this$loopLevel.equals(other$loopLevel)) {
               return false;
            }

            label173: {
               Object this$isMultipoint = this.getIsMultipoint();
               Object other$isMultipoint = other.getIsMultipoint();
               if (this$isMultipoint == null) {
                  if (other$isMultipoint == null) {
                     break label173;
                  }
               } else if (this$isMultipoint.equals(other$isMultipoint)) {
                  break label173;
               }

               return false;
            }

            label166: {
               Object this$isDisable = this.getIsDisable();
               Object other$isDisable = other.getIsDisable();
               if (this$isDisable == null) {
                  if (other$isDisable == null) {
                     break label166;
                  }
               } else if (this$isDisable.equals(other$isDisable)) {
                  break label166;
               }

               return false;
            }

            Object this$username = this.getUsername();
            Object other$username = other.getUsername();
            if (this$username == null) {
               if (other$username != null) {
                  return false;
               }
            } else if (!this$username.equals(other$username)) {
               return false;
            }

            label152: {
               Object this$nickname = this.getNickname();
               Object other$nickname = other.getNickname();
               if (this$nickname == null) {
                  if (other$nickname == null) {
                     break label152;
                  }
               } else if (this$nickname.equals(other$nickname)) {
                  break label152;
               }

               return false;
            }

            label145: {
               Object this$avatar = this.getAvatar();
               Object other$avatar = other.getAvatar();
               if (this$avatar == null) {
                  if (other$avatar == null) {
                     break label145;
                  }
               } else if (this$avatar.equals(other$avatar)) {
                  break label145;
               }

               return false;
            }

            Object this$dept = this.getDept();
            Object other$dept = other.getDept();
            if (this$dept == null) {
               if (other$dept != null) {
                  return false;
               }
            } else if (!this$dept.equals(other$dept)) {
               return false;
            }

            Object this$role = this.getRole();
            Object other$role = other.getRole();
            if (this$role == null) {
               if (other$role != null) {
                  return false;
               }
            } else if (!this$role.equals(other$role)) {
               return false;
            }

            label124: {
               Object this$lastLoginIp = this.getLastLoginIp();
               Object other$lastLoginIp = other.getLastLoginIp();
               if (this$lastLoginIp == null) {
                  if (other$lastLoginIp == null) {
                     break label124;
                  }
               } else if (this$lastLoginIp.equals(other$lastLoginIp)) {
                  break label124;
               }

               return false;
            }

            Object this$lastLoginTime = this.getLastLoginTime();
            Object other$lastLoginTime = other.getLastLoginTime();
            if (this$lastLoginTime == null) {
               if (other$lastLoginTime != null) {
                  return false;
               }
            } else if (!this$lastLoginTime.equals(other$lastLoginTime)) {
               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemAuthAdminListedVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $goal = this.getGoal();
      result = result * 59 + ($goal == null ? 43 : $goal.hashCode());
      Object $count = this.getCount();
      result = result * 59 + ($count == null ? 43 : $count.hashCode());
      Object $cardNum = this.getCardNum();
      result = result * 59 + ($cardNum == null ? 43 : $cardNum.hashCode());
      Object $cardOnly = this.getCardOnly();
      result = result * 59 + ($cardOnly == null ? 43 : $cardOnly.hashCode());
      Object $loopLevel = this.getLoopLevel();
      result = result * 59 + ($loopLevel == null ? 43 : $loopLevel.hashCode());
      Object $isMultipoint = this.getIsMultipoint();
      result = result * 59 + ($isMultipoint == null ? 43 : $isMultipoint.hashCode());
      Object $isDisable = this.getIsDisable();
      result = result * 59 + ($isDisable == null ? 43 : $isDisable.hashCode());
      Object $username = this.getUsername();
      result = result * 59 + ($username == null ? 43 : $username.hashCode());
      Object $nickname = this.getNickname();
      result = result * 59 + ($nickname == null ? 43 : $nickname.hashCode());
      Object $avatar = this.getAvatar();
      result = result * 59 + ($avatar == null ? 43 : $avatar.hashCode());
      Object $dept = this.getDept();
      result = result * 59 + ($dept == null ? 43 : $dept.hashCode());
      Object $role = this.getRole();
      result = result * 59 + ($role == null ? 43 : $role.hashCode());
      Object $lastLoginIp = this.getLastLoginIp();
      result = result * 59 + ($lastLoginIp == null ? 43 : $lastLoginIp.hashCode());
      Object $lastLoginTime = this.getLastLoginTime();
      result = result * 59 + ($lastLoginTime == null ? 43 : $lastLoginTime.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      return result;
   }

   public String toString() {
      return "SystemAuthAdminListedVo(id=" + this.getId() + ", username=" + this.getUsername() + ", nickname=" + this.getNickname() + ", avatar=" + this.getAvatar() + ", dept=" + this.getDept() + ", role=" + this.getRole() + ", goal=" + this.getGoal() + ", count=" + this.getCount() + ", cardNum=" + this.getCardNum() + ", cardOnly=" + this.getCardOnly() + ", loopLevel=" + this.getLoopLevel() + ", isMultipoint=" + this.getIsMultipoint() + ", isDisable=" + this.getIsDisable() + ", lastLoginIp=" + this.getLastLoginIp() + ", lastLoginTime=" + this.getLastLoginTime() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ")";
   }
}
